# Generated from git-to-master-3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name git-to-master

Name: rubygem-%{gem_name}
Version: 3.0.1
Release: 1%{?dist}
Summary: Gets the latest changes that have happened on the integration branch, then pushes your changes to a feature branch on the server
License: Apache-2.0
URL: http://jdigger.github.com/git-process/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
Fetches the latest repository from the server, rebases/merges the current
branch against the changes in the integration branch, then pushes the result
up to a branch on the server of the same name. (Unless told not to.).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/git-to-master
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.adoc

%changelog
* Tue Apr 19 2022 mockbuilder - 3.0.1-1
- Initial package
